/*
// File:		ImapCallback.hpp
//
// Version:		mail.it library 1.0
//
// Copyright:	(C) 2006 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __IMAPCALLBACK_HPP__
#define __IMAPCALLBACK_HPP__

#include <EmaiIMAP.hpp>

class ImapCallback : public Emai::ImapStatusCallback
{

	virtual EmaiError					OnOperation(
												Emai::ImapSession& inSession,
												EmaiUint32 inOperationCode);

	virtual EmaiError					OnDataSent(
												Emai::ImapSession& inSession,
												EmaiUint32 inSentSize,
												EmaiUint32 inTotalSize);
	virtual EmaiError					OnDataReceived(
												Emai::ImapSession& inSession,
												EmaiUint32 inReceivedSize,
												EmaiUint32 inTotalSize);
	virtual EmaiError					OnServerError(
												Emai::ImapSession& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};


#endif /*__IMAPCALLBACK_HPP__*/
