/*
// File:		SmtpCallback.cpp
//
// Version:		mail.it library 1.0
//
// Copyright:	(C) 2006 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#include PCH_FILE_NAME
#include "SmtpCallback.hpp"
#include <iostream>

EmaiError
SmtpCallback::OnOperation(
		Emai::SmtpSession& /*inSession*/,
		EmaiUint32 /*inOperationCode*/
	)
{
	//TODO: display text corresponding to operation code
	return EmaiErrNoErr;
}

EmaiError
SmtpCallback::OnDataSent(
		Emai::SmtpSession& /*inSession*/,
		EmaiUint32 inSentSize,
		EmaiUint32 inTotalSize
	)
{
	std::cout << "Sent " << inSentSize << 
					" bytes of " << inTotalSize << std::endl;
	return EmaiErrNoErr;
}

EmaiError
SmtpCallback::OnServerError(
		Emai::SmtpSession& /*inSession*/,
		EmaiConstCharPtr inServerReply,
		EmaiUint32 /*inReplyCode*/
	)
{
	std::cout << "Server error: " << inServerReply << std::endl;
	return EmaiErrNoErr;
}
